Bug 251151 - www/gohugo: Update to 0.78.2
Summary: www/gohugo: Update to 0.78.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL: https://github.com/gohugoio/hugo/rele...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-15 10:02 UTC by ben.lavery@hashbang0.com
Modified: 2020-11-20 12:43 UTC (History)
2 users (show)

See Also:
ben.lavery: merge-quarterly?


Attachments
svn diff to upgrade to 0.78.2 (5.92 KB, patch)
2020-11-15 10:02 UTC, ben.lavery@hashbang0.com
ben.lavery: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ben.lavery@hashbang0.com 2020-11-15 10:02:29 UTC
Created attachment 219698 [details]
svn diff to upgrade to 0.78.2

- portlint: OK (looks fine.)

- testport: OK (poudriere: <11.4-RELEASE, 11.4-STABLE, 12.1-RELEASE, and 12.2-RELEASE, 12.2-STABLE, 13.0-CURRENT>, < amd64/i386 >, <manpages + with/without extended> tested)

- testport: Error (poudriere: <13.0-CURRENT>, <i386>, <manpages + with/without extended> tested)
--13_0-CURRENT__i386-local-extended.log:*** Error code 1
--13_0-CURRENT__i386-local-normal.log:*** Error code 1
Comment 1 Automation User 2020-11-15 10:27:50 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/216267776
Comment 2 Fernando Apesteguía freebsd_committer 2020-11-15 19:21:26 UTC
^Triage: Bugfix release, merge to quarterly branch

Thanks!
Comment 3 ben.lavery@hashbang0.com 2020-11-16 09:22:40 UTC
I don't believe there is a requirement to merge into quarterly :)
Comment 4 Fernando Apesteguía freebsd_committer 2020-11-16 09:24:33 UTC
(In reply to ben.lavery@hashbang0.com from comment #3)

How so? The changelog says:

"This is a bug-fix release with a couple of important fixes."
Comment 5 ben.lavery@hashbang0.com 2020-11-16 09:46:33 UTC
Apologies, I thought quarterly was for security updates only.  We can merge into quarterly in this case then.
Comment 6 Fernando Apesteguía freebsd_committer 2020-11-16 09:59:32 UTC
(In reply to ben.lavery@hashbang0.com from comment #5)

Yes, that the case and also to fix reliability issues. It is actually a thin line so we have to use our judgement. You certainly know more about this port, so if you think it is risky to MFH, I'm OK with that :-)
Comment 7 commit-hook freebsd_committer 2020-11-20 12:42:17 UTC
A commit references this bug:

Author: dmgk
Date: Fri Nov 20 12:41:17 UTC 2020
New revision: 555758
URL: https://svnweb.freebsd.org/changeset/ports/555758

Log:
  www/gohugo: Update to 0.78.2

  Changes:	https://github.com/gohugoio/hugo/releases/tag/v0.78.2
  PR:		251151
  Submitted by:	ben.lavery@hashbang0.com <ben.lavery@hashbang0.com> (maintainer)

Changes:
  head/www/gohugo/Makefile
  head/www/gohugo/distinfo
Comment 8 Dmitri Goutnik freebsd_committer 2020-11-20 12:43:53 UTC
Committed, thanks! Not merging to quarterly as it is a couple of feature releases behind (at 0.75.1).